
%global meadversion 2.4.0
%global namedversion 2.4.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-aesh}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.4.0.redhat-00001

Name:           %{?scl_prefix}jboss-aesh
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        AEsh
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: aesh-all-2.4.0.redhat-00001-project-sources.tar.gz
Source102: aesh-2.4.0.redhat-00001-javadoc.jar
Source103: aesh-2.4.0.redhat-00001-sources.jar
Source104: aesh-2.4.0.redhat-00001.pom
Source105: aesh-2.4.0.redhat-00001.jar
Source106: aesh-all-2.4.0.redhat-00001.pom
%endif

URL:            https://github.com/aesh/aesh


BuildArch:      noarch
BuildRoot:      %{_tmppath}/aesh-%{namedversion}-%{release}-root

%description
AEsh (Another Extendable SHell).

%if %with javadoc
%package javadoc
Summary:        Javadoc for AEsh
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n aesh-all-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}.jar %{buildroot}%{_javadir}/aesh-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/aesh-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/aesh-%{namedversion}-sources.jar %{buildroot}%{_javadir}/aesh-%{namedversion}-sources.jar
#%{__cp} -p %{_sourcedir}/aesh-%{namedversion}-tests.jar %{buildroot}%{_javadir}/aesh-%{namedversion}-tests.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# docs
%{__mkdir_p} %{buildroot}%{_docdir}/aesh-%{namedversion}
%{__cp} -p LICENSE README.asciidoc %{buildroot}%{_docdir}/aesh-%{namedversion}
%{__ln_s} aesh-%{namedversion} %{buildroot}%{_docdir}/aesh

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/aesh-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/aesh-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/aesh-%{namedversion} -x META-INF/\*
%{__ln_s} aesh-%{namedversion} %{buildroot}%{_javadocdir}/aesh
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/aesh-%{namedversion}
%doc %{_docdir}/aesh
%{_javadir}/aesh-%{namedversion}.jar
%{_javadir}/aesh.jar
%if %with javadoc
%exclude %{_javadir}/aesh-%{namedversion}-javadoc.jar
%exclude %{_javadir}/aesh-javadoc.jar
%endif
%{_javadir}/aesh-%{namedversion}-sources.jar
%{_javadir}/aesh-sources.jar
#%exclude %{_javadir}/aesh-%{namedversion}-tests.jar
#%exclude %{_javadir}/aesh-tests.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/aesh-%{namedversion}
%{_javadocdir}/aesh
%endif

%changelog
* Thu Sep 19 2019 Permaine Cheung <pcheung@redhat.com> - 2.4.0-1.redhat_00001.1
- 2.4.0.redhat-00001

* Thu Sep 12 2019 Yong Yang <yyang@redhat.com> - 2.3.0-2.redhat_00001.1
- RPM wrapper build 2.4.0.redhat-00001

* Mon Jun 17 2019 Permaine Cheung <pcheung@redhat.com> - 2.3.0-1.redhat_00001.1
- 2.3.0.redhat_00001

* Wed Jun 05 2019 Yong Yang <yyang@redhat.com> - 1.11.0-2.redhat_00001.1
- RPM wrapper build

* Wed May 22 2019 Permaine Cheung <pcheung@redhat.com> - 1.11.0-1.redhat_00001.1
- 1.11.0.redhat_00001

* Mon Jul 23 2018 Petr Sakar <psakar@redhat.com> - 1.7.0-1.redhat_00001.1
- upgrade to 1.7.0.redhat-00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 1.4.0-2.redhat_1.1
- Rewrap for 7.2.0

* Mon May 21 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.4.0-1.redhat_1.1
- upgrade to 1.4.0.redhat-1

* Mon May 21 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.4.0-1.redhat_1.1
- upgrade to 1.4.0.redhat-1

* Thu Oct 12 2017 Permaine Cheung <pcheung@redhat.com> - 0.66.19-2.redhat_1.1
- Fix license (JBEAP-13468)

* Sat Jun 24 2017 Petr Sakar <psakar@redhat.com> - 0.66.19-1.redhat_1.1
- upgrade to 0.66.19.redhat-1

* Thu Jun 01 2017 Petr Sakar <psakar@redhat.com> - 0.66.18-1.redhat_1.1
- upgrade to 0.66.18.redhat-1

* Thu May 25 2017 Martin Minar <mminar@redhat.com> - 0.66.17-1.redhat_1.1
- update to version 0.66.17

* Fri May 19 2017 Petr Sakar <psakar@redhat.com> - 0.66.16-1.redhat_1.1
- upgrade to 0.66.15.redhat-1

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 0.66.15-1.redhat_1.1
- upgrade to 0.66.15.redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 0.66.14-1.redhat_1.1
- upgrade to 0.66.14.redhat-1

* Fri Nov 25 2016 Filip Kujikis <fkujikis@redhat.com> - 0.66.13-1.redhat_1.1
- prod build for upstream tag 0.66.13 (forgot correct scm url last time)

* Fri Nov 25 2016 Filip Kujikis <fkujikis@redhat.com> - 0.66.11-2.redhat_1.2
- prod build for upstream tag 0.66.13

* Thu Sep 29 2016 Filip Kujikis <fkujikis@redhat.com> - 0.66.11-1.redhat_1.1
- Prod rebuild version 0.66.10 -> 0.66.11

* Sat Sep 17 2016 Petr Sakar <psakar@redhat.com> - 0.66.10-1.redhat_1.1
- upgrade to 0.66.10.redhat-1

* Wed Aug 31 2016 Petr Sakar <psakar@redhat.com> - 0.66.9-1.redhat_1.1
- upgrade to 0.66.9.redhat-1

* Thu Aug 04 2016 Fernando Nasser <fnasser@redhat.com> - 0.66.8-1.redhat_1.1
- Upgrade to 0.66.8.redhat-1

* Thu Jan 28 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 0.66.4-1.redhat_1.1
- Upgrade to 0.66.4

* Tue Jan 05 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 0.66.2-1.redhat_1.1
- Upgrade to 0.66.2

* Wed Nov 25 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 0.66.1-1.redhat_1.1
- Upgrade to 0.66.1

* Wed Nov 04 2015 Neil Wallace <nwallace@redhat.com> - 0.65.1-1.redhat_1.1
- Upgrade to 0.65.1.redhat

* Tue Aug 25 2015 Lin Gao <lgao@redhat.com> - 0.62.0-2.redhat_1.1
- Fix %files list to remove the aesh-tests.jar from the list

* Tue Aug 25 2015 Lin Gao <lgao@redhat.com> - 0.62.0-1.redhat_1.1
- Fix doc files names

* Tue Aug 25 2015 Lin Gao <lgao@redhat.com> - 0.62.0-1.redhat_1.1
- Rebuild wrapperRPM

* Tue Aug 25 2015 Lin Gao <lgao@redhat.com> - 0.62.0-1.redhat_1.1
- Upgrade to 0.62.0.redhat-1

* Fri Jul 17 2015 Permaine Cheung <pcheung@redhat.com> - 0.33.16-1.redhat_1.1
- 0.33.16

* Wed Jun 24 2015 Permaine Cheung <pcheung@redhat.com> - 0.33.15-1.redhat_2.1
- EAP 7 build

* Wed Apr 22 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 0.33.15-1.redhat_1.1
- Upgrade to 0.33.15

* Wed Jan 07 2015 Permaine Cheung <pcheung@redhat.com> - 0.33.14-1.redhat_1.1
- 0.3.14.redhat-1

* Wed May 14 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 0.33.12-1.redhat_1.1
- Upgrade to 0.33.12

* Tue Mar 18 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 0.33.11-1.redhat_1.1
- Build RPM wrapper

* Tue Mar 18 2014 Vladimir Dosoudil <dosoudil@redhat.com> 0:0.33.11-1.redhat_1
- Upgrade to 0.33.11

* Tue Sep 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> 0:0.33.8-1.redhat_1
- Upgrade to 0.33.8

* Fri Aug 09 2013 Yong Yang <yyang@redhat.com> 0:0.33.7-1_redhat_1
- Create a patch to upgrade source from 0.33.6 to 0.33.7 temporarily for now because the failure of git push to git.app

* Tue Jul 23 2013 Vladimir Dosoudil <dosoudil@redhat.com> 0:0.33.6-1_redhat_1
- Upgrade to 0.33.6

* Wed Apr 10 2013 Vladimir Dosoudil <dosoudil@redhat.com> 0:0.33.3-1_redhat_1
- Upgrade to 0.33.3

* Wed Mar 27 2013 Vladimir Dosoudil <dosoudil@redhat.com> 0:0.33.1-1_redhat_1
- Upgrade to 0.33.1

* Mon Mar 04 2013 David Walluck <dwalluck@redhat.com> 0:0.33-4
- update sources

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:0.33-3
- exclude javadoc and tests jars

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:0.33-2
- remove Requires: jboss-parent

* Fri Mar 01 2013 David Walluck <dwalluck@redhat.com> 0:0.33-1
- release
